# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-UNIVERSAL-require
Version:	0.18
Release:	11.%{__distinit}%{__distvers}
Summary:	Require() modules from a variable
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/UNIVERSAL-require/
Source0:	http://search.cpan.org/CPAN/authors/id/N/NE/NEILB/UNIVERSAL-require-%{version}.tar.gz
Patch0:		UNIVERSAL-require-0.18-provides.patch
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(strict)
BuildRequires:	perl(UNIVERSAL)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.47
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(UNIVERSAL)

%description
Require() modules from a variable.

%prep
%setup -q -n UNIVERSAL-require-%{version}

# Hide "package UNIVERSAL" from rpm to avoid bogus provide
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/UNIVERSAL/
%{_mandir}/man3/UNIVERSAL::require.3*

%changelog
* Thu Mar 29 2018 Paul Howarth <paul@city-fan.org> - 0.18-11
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sun Oct 16 2016 Paul Howarth <paul@city-fan.org> - 0.18-7
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Jan  6 2016 Paul Howarth <paul@city-fan.org> - 0.18-4
- Hide "package UNIVERSAL" from rpm to avoid need for provides filtering

* Tue Jun 16 2015 Paul Howarth <paul@city-fan.org> - 0.18-2
- Perl 5.22 rebuild

* Wed Feb 25 2015 Paul Howarth <paul@city-fan.org> - 0.18-1
- Update to 0.18
  - Skip the taint test if Perl was compiled without taint support
  - Changed use of "use vars" to "our"
  - Added strict and warnings to PREREQ_PM
- Classify buildreqs by usage

* Sat Apr 19 2014 Paul Howarth <paul@city-fan.org> - 0.17-1
- Update to 0.17
  - Check for valid module names (CPAN RT#94866)
  - Changed used of die() to croak() (CPAN RT#23113)
  - Fixed typo in pod
- Drop %%defattr, redundant since rpm 4.4

* Tue Feb  4 2014 Paul Howarth <paul@city-fan.org> - 0.16-1
- Update to 0.16
  - Added README
  - Specified min version of perl 5.6.0
  - Now "use warnings"

* Sat Sep 28 2013 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15
  - Fix the distribution metadata so the repository shows up

* Sun Sep  1 2013 Paul Howarth <paul@city-fan.org> - 0.14-1
- Update to 0.14
  - Changed the repository meta_merge to the new format
  - Tweaked format (mainly release dates) to conform to CPAN::Changes::Spec
- This release by NEILB -> update source URL

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 0.13-9
- BR: perl(ExtUtils::MakeMaker) and perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.13-7
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Apr 13 2011 Paul Howarth <paul@city-fan.org> - 0.13-5
- Fix bogus provide of perl(UNIVERSAL) with rpm 4.9 onwards
- Nobody else likes macros for commands

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.13-4
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 0.13-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 0.13-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Mon Aug 10 2009 Paul Howarth <paul@city-fan.org> - 0.13-1
- Import from Fedora
- Update to 0.13

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.11-4
- Rebuild for perl 5.10 (again)

* Sun Jan 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-3
- rebuild for new perl

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-2
- license tag fix

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-1
- bump to 0.11

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.10-2
- get rid of false provide

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.10-1
- initial package for Fedora
